Bug 1259870 - Incomplete nl80211 backport broke hostapd
Summary: Incomplete nl80211 backport broke hostapd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Stanislaw Gruszka
QA Contact: Ken Benoit
Jana Heves
URL:
Whiteboard:
: 1251726 1253751 1285094 (view as bug list)
Depends On:
Blocks: 1269638 1270066 1291978
TreeView+ depends on / blocked
 
Reported: 2015-09-03 16:59 UTC by Daniel Hokka Zakrisson
Modified: 2016-05-10 23:12 UTC (History)
20 users (show)

Fixed In Version: kernel-2.6.32-593.el6
Doc Type: Bug Fix
Doc Text:
multicast group assignments fixed The kernel was incorrectly assigning multicast groups for the `nl80211` protocol, causing problems with `nl80211` wireless drivers, for example, preventing `hostapd` from starting and initializing wireless devices in Access Point mode. This update fixes multicast group assignments for `nl80211` and allows wireless devices to be managed correctly.
Clone Of:
: 1291978 (view as bug list)
Environment:
Last Closed: 2016-05-10 23:12:04 UTC


Attachments (Terms of Use)
Patch fixing the issue (2.00 KB, text/plain)
2015-09-03 16:59 UTC, Daniel Hokka Zakrisson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0855 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-05-10 22:43:57 UTC

Description Daniel Hokka Zakrisson 2015-09-03 16:59:50 UTC
Created attachment 1069994 [details]
Patch fixing the issue

Description of problem:
Since the release of 6.7 and the 2.6.32-573 series of kernels, it is no longer possible to use hostapd, see bug #1251726.

Version-Release number of selected component (if applicable):
2.6.32-573.3.1.el6

How reproducible:
Always

Steps to Reproduce:
1. Try starting hostapd with a simple configuration.

Actual results:
nl80211: Could not add multicast membership for scan events: -2 (No such file or directory)

Expected results:
Successful hostapd start, and wifi connectivity.


Additional info:
The problem is due to the fact that multicast groups are not being registered in the genetlink-compat layer introduced. The attached patch fixes the problem, but not in the best way. What was done for ops would need to be duplicated for multicast groups. With it applied, hostapd works as expected again.

Comment 2 Stanislaw Gruszka 2015-09-08 08:50:06 UTC
*** Bug 1253751 has been marked as a duplicate of this bug. ***

Comment 3 Davide A. Cardamone 2015-09-09 21:41:49 UTC
Thanks.

Comment 4 Martín Oyola 2015-09-23 05:18:38 UTC
Has anyone tried with the new 2.6.32-573.7.1.el6 kernel? Sadly I can't try it on my box because is a production server..

Comment 5 Khaled Basbous 2015-09-23 14:08:34 UTC
(In reply to Martín Oyola from comment #4)
> Has anyone tried with the new 2.6.32-573.7.1.el6 kernel? Sadly I can't try
> it on my box because is a production server..

Hello Martin,

Just tried the new 2.6.32-573.7.1.el6 kernel and still hostapd not starting with following error : nl80211: Could not add multicast membership for scan events: -2 (No such file or directory)

Comment 6 Stanislaw Gruszka 2015-10-12 10:28:38 UTC
*** Bug 1251726 has been marked as a duplicate of this bug. ***

Comment 7 RHEL Product and Program Management 2015-11-01 23:54:22 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 9 Stanislaw Gruszka 2015-11-25 11:05:00 UTC
*** Bug 1285094 has been marked as a duplicate of this bug. ***

Comment 11 Aristeu Rozanski 2015-12-16 21:00:57 UTC
Patch(es) available on kernel-2.6.32-593.el6

Comment 13 Daniel Hokka Zakrisson 2015-12-17 06:43:46 UTC
So that means the patch won't be available until RHEL 6.8 is released, right?

Comment 14 Stanislaw Gruszka 2015-12-17 08:14:43 UTC
No, it will be available on RHEL 6.7 kernel update too (bz 1291978).

Comment 15 Alexander Dalloz 2015-12-17 09:21:32 UTC
Not fixed by https://rhn.redhat.com/errata/RHSA-2015-2636.html

Comment 17 Ken Benoit 2016-02-03 18:40:10 UTC
Installed RHEL-6.8-20160125.0 on a test system and installed hostapd. After manually configuring hostapd I was able to start the service successfully. Using another test system I was able to connect to the hostapd SSID and successfully ping the hostapd system. Marking as verified.

Comment 18 Alexander Dalloz 2016-02-11 12:51:20 UTC
Confirmation that https://rhn.redhat.com/errata/RHBA-2016-0150.html solved the issue for us.

Comment 20 errata-xmlrpc 2016-05-10 23:12:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0855.html


Note You need to log in before you can comment on or make changes to this bug.